7 нояб. 2008 г.

Deploy project with .NET Framework 2.0 from Visual Studio 2008

Ситуация следующая: Visual Studio 2008, в ней проект под .NET 2.0, создаю новый Setup Project, отмечаю для установки .NET Framerowk 2.0. При попытке установить на пустой компьютер инсталлятор сообщает что ему необходим .NET 3.5. 
Способ решения проблемы: в Setup project нужно открыть папку Detected Dependencies, там два раза щелкнуть по элементу "Microsoft .NET Framework". После этого появится окошко, там нужно выбрать пункт .NET Framework и в его св-вах выбрать версию .NET, которая реально необходима для распространяемых проектов.

Комментариев нет:

Отправить комментарий